Subject: Re: bug#26866: 25.2; Customize Lockfile Name and Contents

From: Glenn Morris <[email-masked]>
Date: Sun, 14 May 2017 20:25:11 -0400

Wesley Ellis wrote:

> I work in a small team that has been using Dreamweaver to maintain
> a website maintained on a local network webserver. We each maintain
> a local copy of the website and perform checkouts on the remote
> files. After editing is complete we push the changes and check
> the files in.
>
> Dreamweaver uses lock files to control the checkin/checkout
> processs. I've recently started using emacs and have found
> that emacs also uses lock files, but the format is different
> from the format used by Dreamweaver. I can change
> `create-lcokfiles` to nil to disable the creation of lockfles,
> but I cannot modify the format or naming convention used.
>
> A dreamweaver lock file for test.html would be test.html.LCK
> and the contents would contain the name and email address
> of the user who created it (like so: [email-masked]).
>
> Is there a way, or could we create a way to customize
> lockfile format and naming conventions?

>From an Emacs point-of-view, allowing the lockfile name to be customized
doesn't make sense. If two different Emacs use different lockfile
names, this defeats the entire purpose of lockfiles.

What you describe above sounds more like a locking VCS, which would be
supported by Emacs's vc.el and such. But since Dreamweaver is
proprietary software, I doubt Emacs will add support for it.